cURL
curl --request POST \
--url https://aigw.portkey.ai/v1/embeddings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": "",
"model": "<string>",
"encoding_format": "float",
"dimensions": 2,
"user": "<string>"
}
'import requests
url = "https://aigw.portkey.ai/v1/embeddings"
payload = {
"input": "",
"model": "<string>",
"encoding_format": "float",
"dimensions": 2,
"user": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: '',
model: '<string>',
encoding_format: 'float',
dimensions: 2,
user: '<string>'
})
};
fetch('https://aigw.portkey.ai/v1/embeddings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"index": 123,
"embedding": [
123
],
"object": "embedding"
}
],
"model": "<string>",
"object": "list",
"usage": {
"prompt_tokens": 123,
"total_tokens": 123
}
}Create embedding
POST
/
embeddings
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Last modified on September 17, 2026
Was this page helpful?

